ul {
    margin: 0;
    padding: 0;
    list-style: none;   /* 移除項目符號 */
}


nav a {
    color: inherit; /* 移除超連結顏色 */
    display: block; /* 讓 <a> 填滿 <li> */
    font-size: 1.2rem;
    padding: 10px;
    text-decoration: none;  /* 移除超連結底線 */
}

    
nav a:hover {   /* 滑鼠移到 <a> 時變成深底淺色 */
    background-color: rgb(230, 223, 207);
    color: black;
}

.flex-nav { /*排列方式*/
    display: flex;
    justify-content: center;
}

ul.flex-nav li:hover > a { /* 滑鼠移入次選單上層按鈕保持變色*/
    background-color:  rgb(230, 223, 207);
    color:black;;
}


ul.flex-nav ul { /*隱藏次選單*/
    display: none;
}

ul.flex-nav li:hover > ul { /* 滑鼠滑入展開次選單*/
    display: inline;
}